
function test_adap (no)
 local nWeaponID
 local nCurrentAdaptation
 local nAdaptationCounter

		local group = PlayerGetUnits(no)
		local szt = GroupGetSize( group )
		for i = 0, ( szt - 1 ) do
			local unit = GroupGetUnit( group, i )
			if(unitIsActive(unit)) then
				
                        nWeaponID,nCurrentAdaptation, nAdaptationCounter =  UnitGetWeaponAdaptationInfo( unit, 2 )
                        out ("nWeaponID ",nWeaponID,"  nCurrentAdaptation  = ",nCurrentAdaptation," nAdaptationCounter=",nAdaptationCounter)
			end
		end


end
		
--        
function UpdateUnitSkills( unit, effectiveLevel, resultLevel )
	if(IsValid(unit) and UnitCanFight(unit) and (UnitGetName(unit)~="LARRY")) then
		local deltaLevel=RPGDiffGetAILevel()
		UnitSetXPLevel(unit,effectiveLevel+deltaLevel)
		local SkillAP=UnitGetSkillMaxValue(unit,ST_AP)*RPGDiffGetAIAP()
		UnitSetSkillMaxValue(unit,ST_AP,SkillAP)
		UnitSetSkill(unit,ST_AP,SkillAP )
		local SkillVP=UnitGetSkillMaxValue(unit,ST_VP )*RPGDiffGetAIVP()
		UnitSetSkillMaxValue(unit,ST_VP,SkillVP)
		UnitSetSkill(unit, ST_VP, SkillVP )
		local hide = 1
		if ( RPGDiffGetHideProb() == 15 ) then			
			hide = 1.15
		elseif ( RPGDiffGetHideProb() == 30 ) then			
			hide = 1.30
		elseif ( RPGDiffGetHideProb() == 75 ) then			
			hide = 1.45
		end
		hide = UnitGetSkillMaxValue( unit, ST_STEALTH ) * hide
		UnitSetSkillMaxValue( unit, ST_STEALTH, hide )
		UnitSetSkill( unit, ST_STEALTH, hide )
		--        

		for i=0,16 do
		local attr = UnitGetSkillMaxValue(unit,i)
		   putMarker("ATTR_TEMP_MAX"..i,attr)
		   putMarker("ATTR_TEMP"..i,attr)
	  	end	
		out ("******* copy unit skill for update unit ********")
		UnitSetSkillMaxValue( unit, ST_LEVEL, resultLevel )
		   
		UnitSetXPLevel(unit,resultLevel)
		for i=0,16 do
			local attrM = getMarker("ATTR_TEMP_MAX"..i)
			local attr1 = getMarker("ATTR_TEMP"..i)
			if((i~=13) and (attrM~=0) and (attr1~=0)) then
				UnitSetSkillMaxValue(unit,i,attrM)
				UnitSetSkill(unit,i,attr1)
				putMarker("ATTR_TEMP_MAX"..i,0)
		    		putMarker("ATTR_TEMP"..i,0)
			end
		end	
		out ("******* paste unit skill for update unit ********")
		--  
		
		-- UnitSetSkillMaxValue( unit, ST_LEVEL, resultLevel )
		if((GetDiplomacy(UnitGetPlayer(unit),0)==DS_ENEMY) and
			(random(100)<RPGDiffGetHideProb()) and 
			(not UnitIsHiding( unit ))) then
			UnitHide(unit)
		end 
	end
end


--    
function addAdaptation(unit)
	if(unitIsActive(unit)) then
		local itemSlot = UnitGetSlotItem(unit,0)
		local adaptation = UnitGetSkillMaxValue( unit, ST_LEVEL ) *3.5
	
		if (not IsValid(itemSlot)) then
		   itemSlot = UnitGetSlotItem(unit,1)
		elseif (ItemGetType(itemSlot) ~= WP_NORMAL) then
		   itemSlot = UnitGetSlotItem(unit,1)   
		end

		if (IsValid(itemSlot)) then
		   if (ItemGetType(itemSlot) == WP_NORMAL) then
   			  UnitIncAdaptation(unit,ItemGetID(itemSlot),adaptation) 
		   end
		end
	end
	
end

function addPerksToGroup( no, bForced )
	if(bForced or isDifficultyAboveNormal()) then
		local group = PlayerGetUnits(no)
		local szt = GroupGetSize( group )
		for i = 0, ( szt - 1 ) do
			local unit = GroupGetUnit( group, i )
			if(unitIsActive(unit)) then
				UnitGiveRandomPerks(unit)
				addAdaptation( unit )
			end
		end
	end
end

function getTimeQest( id )
        local newtime 
        local days1
        local timr1
         local timen
        newtime = 2   
        if ((id == 1000057) or (id == 1000058)) then
               timen = getMarker("WaterpumpQuest")
         end
        if (id == 1500002) then
               timen = getMarker("convoy")
         end
        if (id == 1500003) then
               timen = getMarker("finalQuest")
         end
          
        if (id == 1000093) then
               timen = getMarker("BaseMTQuest")
         end
       	days1,time1 = getDate(timen)             
        newtime =GetString( 20994 )..time1.." "..days1

        if (newtime == nil) then
              newtime = 2
        end 
    return newtime
end  

---
function toJournal( id )
        local newtime 
	local days
	local time
	days,time = getDate()
	local zone = ScenarioGetCurrentZoneName()
	if(zone==nil) then
		zone = "???"
	end
	local title = GetString( 20994 )..days.." "..time.." "..zone
--     newtime = 2
       newtime = getTimeQest(id)        

	if(AddJournalRecordEx(id,title,newtime,days,time,zone)) then
		OutLog(GetString(1350111),0)
	end
end

--
function printTime()
	local days
	local time
	days,time = getDate()
	local msg = "<color=white>"..days.." <color=yellow>"..time.."   "..STR_MODENAME

	OutHdr(msg,0)
          

end


-- function OnUnitDamageUnitPrim(killer,unit)
-- end


function OnUnitKillUnitPrim(killer,victim)
   out ("<color=green>*** s3Sikle **  OnUnitKillUnitPrim",killer,victim)
   if (IsValid(killer)) then
       if ((not IsEqual(killer, GetHero())) and (IsValid(victim))) then
           if ((GroupIsContainUnit(GetParty(),killer)) and
              (not GroupIsContainUnit(GetParty(),victim))) then
                out ("<color=cyan>Kill MedalPoints ",killer,victim)
                AddMedalPoints (GetHero (), 150)
                out ("<color=cyan>Kill Damage MedalPoints ",killer,victim)
                AddMedalPoints (GetHero (), 40)
--                AddMedalPoints (GetHero (), 10)
                                
            elseif ((GroupIsContainUnit(GetParty(),killer)) and
                   (GroupIsContainUnit(GetParty(),victim))) then
                   out ("<color=cyan>Kill MedalPoints Bad",killer,victim)
                   AddMedalPoints (GetHero (), -500)
                   out ("<color=cyan>Kill damage MedalPoints  Bad",killer,victim)
                   AddMedalPoints (GetHero (), -150)                  
            end
       end
   end
end

-- *********************************************************--

function OnUnitDamageUnitPrim(killer,victim)
   out ("<color=green>*** s3Sikle **  OnUnitDamageUnitPrim",killer,victim)
   if (IsValid(killer)) then
       if ((not IsEqual(killer, GetHero())) and (IsValid(victim))) then
               out ("<color=yellow>*** 2 OnUnitDamageUnitPrim",killer,victim)
           if ((GroupIsContainUnit(GetParty(),killer)) and
                 (not GroupIsContainUnit(GetParty(),victim))) then
                  out ("<color=yellow>*** 3 OnUnitDamageUnitPrim",killer,victim)
                  if (not UnitIsDead(victim)) then
                       out ("<color=cyan>Damage MedalPoints ",killer,victim)
                       AddMedalPoints (GetHero (), 40)
--	               AddMedalPoints (GetHero (), 10)
                            
                   end
            elseif ((GroupIsContainUnit(GetParty(),killer)) and
                   (GroupIsContainUnit(GetParty(),victim))) then
                   out ("<color=cyan>Damage MedalPoints <color=red>Bad",killer,victim)
                   AddMedalPoints (GetHero (), -150)
              end
       end
   end
end

-- *********************************************************
function OnUnitDamageUnit(killer,unit)

     OnUnitDamageUnitPrim(killer,unit)

end

-- *********************************************************
function OnUnitKillUnit(killer,victim)

     OnUnitKillUnitPrim(killer,victim)
end

-- *********************************************************
function isAlliesUniform( uID )
	return( ((uID>=662) and (uID<=666)) or
		(uID==554) or (uID==565) or (uID==566) or
		(uID==570) or (uID==1340062) or (uID==1340063))
end

-- *********************************************************
function initVariables()
        GVAllMoney = 0
	GVLastZone = "Checkpoint"
	GVLastHint = 0
	GVSellerQuestState = SQ_AVAILABLE
	GVLarryKnowAboutZigmundDeath = 0
	GVCarma = 0
	GVPiterDeal = PQ_NONE
	GVConvoyQuest = 0
	GVPiterMoney = 0
	GVFidelQuest = FQ_NONE
	GVWasStartCamp = 0
	GVZonesPassed = 1
	GVBuzzWaitInVillage = 0
	GVMashinistDead = 0
	GVParavozMove = 0
	GVNeedDlgAboutWaterpump = 0
	GVNeedDlgAboutPrison = 0
	GVNeedDlgAboutRoadBridge = 0
	GVAntiquarAvailable = 0
	GVMashinistNotTalked = 1
	GVLesnikEnemy = 0
	GVSellerEnemy = 0
	GVZigmundEnemy = 0
	GVLesnikFriend = 0
	GVZigmundTrade = 0
	GVWasRoadPost = 0
	GVEnteredFromWaterpump = 0
	GVBuzzSayAboutPoison = 0
	GVZigfridQuest = ZQ_NONE
	GVTravelWithBandits = 0
	GVNeedCaratelPlace = 0
	GVBaseSERetreat = 0
	GVWasIntermedia = 0
	GVNeedRadioTalk = 0
	GVMosheTalked = 0
	GVZigfridEnemy = 0
	GVNeedAgentPlace = 0
	GVAgentKilled = 0
	GVWarBranchForced = 0
	GVPavelHistory = 0
	GVLarryQuest = LQ_NONE
	GVPrisonPassed = 0
	GVMTQuest = MQ_NOTTAKED
	GVRadioState = 0
	GVKnowAboutGunter = 0
	GVBattleChoice = BC_ZERO
	GVSecretBagObtained = 0
	GVCurEvent = 0
	GVLastEvent = 0
	GVPumpPassed = 0
	GVArrestCount = 0
	GVBuzzGo = 0
	GVBuzzStrikeLarry = 0
	GVLarryTalked = 0
	GVBuzzTalked = 0
	GVHeroKnowAboutZigfrid = 0
	GVBuzzFree = 0
	GVNeedRadioBroke = 0
	GVGroupDontHasRadio = 0
	GVCityPassed = 0
	GVDocsToBuzz = 0
	GVColonelLive = 0
	GVMihLive = 0
	GVHeroKillBuzz = 0
	GVMosheGo = 0
	GVLastUpdateBad = 0
end

function getVariables()
        GVAllMoney = getMarker("allMoney","0")
	GVSellerQuestState = getMarker( "sellerQuestState" )
	GVLarryKnowAboutZigmundDeath = getMarker("larryKnowAboutZigmundDeath")
	GVCarma = getMarker("Carma")
	GVPiterDeal = getMarker("piterDeal")
	GVWasRoadPost = getMarker("wasRoadPost")
	GVConvoyQuest = getMarker("convoyQuest")
	GVLastZone = GetGlobalGameVar( "lastZone", "0" )
	GVLastHint = getMarker("lastHint")
	GVPiterMoney = getMarker("piterMoney")
	GVFidelQuest = getMarker("fidelQuest")
	GVWasStartCamp = getMarker("wasStartCamp")
	GVZonesPassed = getMarker("zonesPassed")
	GVBuzzWaitInVillage = getMarker("buzzWaitInVillage")
	GVMashinistDead = getMarker("mashinistDead")
	GVParavozMove = getMarker("paravozMove")
	GVNeedDlgAboutWaterpump = getMarker("needDlgAboutWaterpump")
	GVNeedDlgAboutPrison = getMarker("needDlgAboutPrison")
	GVNeedDlgAboutRoadBridge = getMarker("needDlgAboutRoadBridge")
	GVAntiquarAvailable = getMarker("antiquarAvailable")
	GVMashinistNotTalked = getMarker("mashinistNotTalked")
	GVLesnikEnemy = getMarker("lesnikEnemy")
	GVSellerEnemy = getMarker( "sellerEnemy" )
	GVZigmundEnemy = getMarker( "zigmundEnemy" )
	GVLesnikFriend = getMarker("lesnikFriend")
	GVZigmundTrade = getMarker("zigmundTrade")
	GVEnteredFromWaterpump = getMarker("enteredFromWaterpump")
	GVBuzzSayAboutPoison = getMarker("buzzSayAboutPoison")
	GVZigfridQuest = getMarker("zigfridQuest")
	GVTravelWithBandits = getMarker("travelWithBandits")
	GVNeedCaratelPlace = getMarker("needCaratelPlace")
	GVBaseSERetreat = getMarker("baseSERetreat")
	GVWasIntermedia = getMarker("wasIntermedia")
	GVNeedRadioTalk = getMarker("needRadioTalk")
	GVMosheTalked = getMarker("mosheTalked")
	GVZigfridEnemy = getMarker("zigfridEnemy")
	GVNeedAgentPlace = getMarker("needAgentPlace")
	GVAgentKilled = getMarker("agentKilled")
	GVWarBranchForced = getMarker("warBranchForced")
	GVPavelHistory = getMarker("pavelHistory")
	GVLarryQuest = getMarker("larryQuest")
	GVPrisonPassed = getMarker("prisonPassed")
	GVMTQuest = getMarker("MTQuest")
	GVRadioState = getMarker("RadioState")
	GVKnowAboutGunter = getMarker("knowAboutGunter")
	GVBattleChoice = getMarker("battleChoice")
	GVSecretBagObtained = getMarker("secretBagObtained")
	GVCurEvent = getMarker("curEvent")
	GVLastEvent = getMarker("lastEvent")
	GVPumpPassed = getMarker("pumpPassed")
	GVArrestCount = getMarker("arrestCount")
	GVBuzzGo = getMarker("buzzGo")
	GVBuzzStrikeLarry = getMarker("buzzStrikeLarry")
	GVLarryTalked = getMarker("larryTalked")
	GVBuzzTalked = getMarker("buzzTalked")
	GVHeroKnowAboutZigfrid = getMarker("heroKnowAboutZigfrid")
	GVBuzzFree = getMarker("buzzFree")
	GVNeedRadioBroke = getMarker("needRadioBroke")
	GVGroupDontHasRadio = getMarker("groupDontHasRadio")
	GVCityPassed = getMarker("cityPassed")
	GVDocsToBuzz = getMarker("docsToBuzz")
	GVColonelLive = getMarker("colonelLive")
	GVMihLive = getMarker("mihLive")
	GVHeroKillBuzz = getMarker("heroKillBuzz")
	GVMosheGo = getMarker("mosheGo")
	GVLastUpdateBad = getMarker("lastUpdateBad")
end

function putVariables()
	SetGlobalGameVar("lastZone", GVLastZone)
        putMarker("allMoney",GVAllMoney)
	putMarker("lastHint", GVLastHint)
	putMarker("sellerQuestState", GVSellerQuestState)
	putMarker("larryKnowAboutZigmundDeath",GVLarryKnowAboutZigmundDeath)
	putMarker("Carma",GVCarma)
	putMarker("piterDeal",GVPiterDeal)
	putMarker("convoyQuest",GVConvoyQuest)
	putMarker("wasRoadPost",GVWasRoadPost)
	putMarker("piterMoney",GVPiterMoney)
	putMarker("fidelQuest",GVFidelQuest)
	putMarker("wasStartCamp",GVWasStartCamp)
	putMarker("zonesPassed",GVZonesPassed)
	putMarker("buzzWaitInVillage",GVBuzzWaitInVillage)
	putMarker("mashinistDead",GVMashinistDead)
	putMarker("paravozMove",GVParavozMove)
	putMarker("needDlgAboutWaterpump",GVNeedDlgAboutWaterpump)
	putMarker("needDlgAboutPrison",GVNeedDlgAboutPrison)
	putMarker("needDlgAboutRoadBridge",GVNeedDlgAboutRoadBridge)
	putMarker("antiquarAvailable",GVAntiquarAvailable)
	putMarker("mashinistNotTalked",GVMashinistNotTalked)
	putMarker("lesnikEnemy",GVLesnikEnemy)
	putMarker("sellerEnemy",GVSellerEnemy)
	putMarker("zigmundEnemy",GVZigmundEnemy)
	putMarker("lesnikFriend",GVLesnikFriend)
	putMarker("zigmundTrade",GVZigmundTrade)
	putMarker("enteredFromWaterpump",GVEnteredFromWaterpump)
	putMarker("buzzSayAboutPoison",GVBuzzSayAboutPoison)
	putMarker("zigfridQuest",GVZigfridQuest)
	putMarker("travelWithBandits",GVTravelWithBandits)
	putMarker("needCaratelPlace",GVNeedCaratelPlace)
	putMarker("baseSERetreat",GVBaseSERetreat)
	putMarker("wasIntermedia",GVWasIntermedia)
	putMarker("needRadioTalk",GVNeedRadioTalk)
	putMarker("mosheTalked",GVMosheTalked)
	putMarker("zigfridEnemy",GVZigfridEnemy)
	putMarker("needAgentPlace",GVNeedAgentPlace)
	putMarker("agentKilled",GVAgentKilled)
	putMarker("warBranchForced",GVWarBranchForced)
	putMarker("pavelHistory",GVPavelHistory)
	putMarker("larryQuest",GVLarryQuest)
	putMarker("prisonPassed",GVPrisonPassed)
	putMarker("MTQuest",GVMTQuest)
	putMarker("RadioState",GVRadioState)
	putMarker("knowAboutGunter",GVKnowAboutGunter)
	putMarker("battleChoice",GVBattleChoice)
	putMarker("secretBagObtained",GVSecretBagObtained)
	putMarker("curEvent",GVCurEvent)
	putMarker("lastEvent",GVLastEvent)
	putMarker("pumpPassed",GVPumpPassed)
	putMarker("arrestCount",GVArrestCount)
	putMarker("buzzGo",GVBuzzGo)
	putMarker("buzzStrikeLarry",GVBuzzStrikeLarry)
	putMarker("larryTalked",GVLarryTalked)
	putMarker("buzzTalked",GVBuzzTalked)
	putMarker("heroKnowAboutZigfrid",GVHeroKnowAboutZigfrid)
	putMarker("buzzFree",GVBuzzFree)
	putMarker("needRadioBroke",GVNeedRadioBroke)
	putMarker("groupDontHasRadio",GVGroupDontHasRadio)
	putMarker("cityPassed",GVCityPassed)
	putMarker("docsToBuzz",GVDocsToBuzz)
	putMarker("colonelLive",GVColonelLive)
	putMarker("mihLive",GVMihLive)
	putMarker("heroKillBuzz",GVHeroKillBuzz)
	putMarker("mosheGo",GVMosheGo)
	putMarker("lastUpdateBad",GVLastUpdateBad)
end


function CreateMoneyItemAndCheck( unit)

if (IsValid( unit ) and IsEqual( unit, GetHero() )) then

  local  checkmoney  = getMarker("allMoney",GVAllMoney)  
  local  countitem = 0 
  out ("checkMoney "..checkmoney)
  if ( checkmoney ) then
     checkmoney =  checkmoney + 0 
  end 
  if ( checkmoney >0) then
      giveMoney( checkmoney )
      GVAllMoney = 0;  
  else
        checkmoney = PlayerGetMoney(0)     
        checkmoney =  checkmoney + 0 
    --  countitem   = div(checkmoney,1000)
      GVAllMoney = checkmoney          -- mod(checkmoney,1000)
    --  if (countitem>0) then
    --       for i = 0,countitem -1  do 
    --          UnitCreateItem(GetHero(),535)  
    --      end
   --    end 
      lostMoney(PlayerGetMoney(0)) 
  end
  putMarker("allMoney",GVAllMoney)        
 else
   OutLog(GetString(1500069))
--      OutLog("  ...")
 end
end

IT_NONE		=	0
IT_ADAPTATION	=	1
IT_SKILL	=	2
IT_MONEY	=	3
IT_UNUSED	=	4
IT_BUHLO	=	5
IT_CHECK	=	6


usedItems = {
{ 	-- NSD Sten Mk2
	ID = 1340322, 
	type = 	IT_ADAPTATION,
	str = 1352273, 
	ani = nil, 
	skill = nil, 
	skillDelta = 30, 
	linkedItem = 29,
	remove = true, 
	skippedTime = 1
},
{ 	-- NSD MP41
	ID = 1410013, 
	type = 	IT_ADAPTATION,
	str = 1400856, 
	ani = nil, 
	skill = nil, 
	skillDelta = 23, 
	linkedItem = 343,
	remove = true, 
	skippedTime = 1
},
{ 	-- NSD LeeEnfield
	ID = 1410011, 
	type = 	IT_ADAPTATION,
	str = 1400859, 
	ani = nil, 
	skill = nil, 
	skillDelta = 27, 
	linkedItem = 15,
	remove = true, 
	skippedTime = 1.5
},
{ 	-- NSD FG42
	ID = 1410012, 
	type = 	IT_ADAPTATION,
	str = 1400862, 
	ani = nil, 
	skill = nil, 
	skillDelta = 32, 
	linkedItem = 21,
	remove = true, 
	skippedTime = 1.5
},
{ 	-- Medical field manual
	ID = 1340323, 
	type = 	IT_SKILL,
	str = 1352274, 
	ani = nil, 
	skill = ST_MEDICINE,	
	skillDelta = 20,
	linkedItem = nil, 
	remove = true,
	skippedTime = 1
}, 
{       -- Belomor
	ID = 1320002, 
	type = 	IT_NONE,
	str = nil, 
	ani = 4268, 
	skill = nil, 
	skillDelta = nil, 
	linkedItem = nil, 
	remove = false, 
	skippedTime = nil
},
{       -- Camel
	ID = 1410161, 
	type = 	IT_NONE,
	str = nil, 
	ani = 4268, 
	skill = nil, 
	skillDelta = nil, 
	linkedItem = nil, 
	remove = false, 
	skippedTime = nil
},
{       -- Condom
	ID = 1410162, 
	type = 	IT_UNUSED,
	str = nil, 
	ani = nil, 
	skill = nil, 
	skillDelta = nil, 
	linkedItem = nil, 
	remove = false, 
	skippedTime = nil
},
{       -- Shnaps
	ID = 1410163, 
	type = 	IT_BUHLO,
	str = nil, 
	ani = nil, 
	skill = nil, 
	skillDelta = nil, 
	linkedItem = nil, 
	remove = false, 
	skippedTime = nil
},
{       -- Check
	ID = 1500001, 
	type = 	IT_CHECK,
	str = nil, 
	ani = nil, 
	skill = nil, 
	skillDelta = nil, 
	linkedItem = nil, 
	remove = false, 
	skippedTime = nil
},
{       -- Cash
	ID = 535, 
	type = 	IT_MONEY,
	str = nil, 
	ani = nil, 
	skill = nil, 
	skillDelta = 1000, 
	linkedItem = nil, 
	remove = true, 
	skippedTime = nil
}
}

smoked = {}
useInProgress = false
function OnUnitUseItem( unit )

  out (unit)
	if(not useInProgress) then
		useInProgress = true
		local slot = UnitGetActiveSlot( unit )
		local item = UnitGetSlotItem( unit, slot )
		local itemID = ItemGetID(item)
		for i,v in usedItems do
			if(v.ID==itemID) then
				if(v.skippedTime~=nil) then
				WaitForUIEx(FadeOut())
					skipHour(v.skippedTime)
				elseif(v.ani~=nil) then
					local vp = UnitGetSkill(unit,ST_VP)
					if((vp>0) and ((smoked[unit]==nil) or (smoked[unit]<=GetTurn()))) then	
						local rnd = random(3,6)
						UnitSetTempModifier(unit,ST_INT,1,rnd)
						UnitSetTempModifier(unit,ST_SPOT,GetMiscConst(GC_SPOTFOR1INT),rnd)
						rnd = random(6,7)
						UnitSetTempModifier(unit,ST_VP,-min(vp,random(20,30)),rnd)
						smoked[unit] = GetTurn()+rnd
					end
					UnitSetPose(unit,POSE_WALK)
					WaitForUnit(unit)
					UnitPlayAnimation(unit,v.ani,false,true)
					WaitForUnit(unit)
				end
				if(v.type == IT_ADAPTATION) then
                	                local mult = 1 + ((UnitGetSkillMaxValue( unit, ST_INT )-5)/10)
					local new = v.skillDelta*mult
					UnitIncAdaptation(unit,v.linkedItem,new)
				elseif(v.type == IT_UNUSED) then
					UnitSayAck(unit,101)
				elseif(v.type == IT_SKILL) then
					local mult = 1 + ((UnitGetSkillMaxValue( unit, ST_INT )-5)/10)
					local old = UnitGetSkillMaxValue(unit,v.skill)
					local new = old+(old/100*v.skillDelta)*mult
					UnitSetSkillMaxValue(unit,v.skill,new)
				elseif(v.type == IT_MONEY) then
					giveMoney(v.skillDelta)
                         	elseif(v.type == IT_CHECK) then
                                          out (IT_CHECK) 
					CreateMoneyItemAndCheck( unit )
                                         out (IT_CHECK + 1) 
				elseif(v.type == IT_BUHLO) then
					local str = UnitGetSkillMaxValue(unit,ST_STR)
					local int = UnitGetSkillMaxValue(unit,ST_INT)
					local dex = UnitGetSkillMaxValue(unit,ST_DEX)
					UnitSetPose(unit,POSE_WALK)
					WaitForUnit(unit)
					if( (str<=1) or (int<=1) or (dex<=1) ) then
						local slot = -1
						local itm = UnitGetSlotItem(unit,0)
                                                if(IsValid(itm) and (ItemGetID(itm)==itemID)) then
							slot = 0
						else
							itm = UnitGetSlotItem(unit,1)
	                                                if(IsValid(itm) and (ItemGetID(itm)==itemID)) then
								slot = 1
							end
						end
						if(slot>=0) then
							UnitTakeOffSlotItem( unit, slot )
							UnitUpdateAnimation(unit)
							WaitForUnit(unit)
						end
						local ani = {956,1769,610,1756,3706,3707,2198,2199,2200,4428}
						UnitPlayAnimation(unit,ani[random(1,11)],false,true)
						WaitForUnit(unit)
						UnitApplyCritical(unit, 37)
					else
						UnitPlayAnimation(unit,1410145,false,true)
						Sleep(30)
						Play3DSound(1430600,GetPos(unit))
						WaitForUnit(unit)
						local rnd = random(10,25)
						UnitSetTempModifier(unit,ST_STR,-1,rnd)
						UnitSetTempModifier(unit,ST_VP,-GetMiscConst(GC_VPFOR1STR),rnd)
						rnd = random(10,25)
						UnitSetTempModifier(unit,ST_INT,-1,rnd)
						UnitSetTempModifier(unit,ST_SPOT,-GetMiscConst(GC_SPOTFOR1INT),rnd)
						rnd = random(10,25)
						UnitSetTempModifier(unit,ST_DEX,-1,rnd)
						UnitSetTempModifier(unit,ST_STEALTH,-GetMiscConst(GC_STEALTHFOR1DEX),rnd)
--						UnitSetTempModifier(unit,ST_SHOOTING,-GetMiscConst(GC_SHOOTFOR1DEX),rnd)
						UnitSetTempModifier(unit,ST_AP,-GetMiscConst(GC_APFOR1DEX),rnd)
						UnitSetTempModifier(unit,ST_IC,random(20,50),rnd-2)
					end
				end
				if(v.remove) then
					UnitTakeOffSlotItem( unit, slot )
					UnitUpdateAnimation(unit)
				end
				if(v.skippedTime~=nil) then
					WaitForUIEx(FadeIn())
				end
				if(v.str~=nil) then
					OutLog(GetString(v.str),0)
				end
				break;
			end
		end
       		useInProgress = false
	end
end



-- shop

zigmundStuff = 
{
	{ id = 3, prob = 	50 }, --	Luger P-08 (Parabellum)
	{ id = 4, prob = 	30 }, --	Sauer 38
	{ id = 5, prob = 	40 }, --	Walther P-38
	{ id = 12, prob = 	50 }, --	Mauser 33/40 Rifle
	{ id = 21, prob = 	10 }, --	FG-42
	{ id = 22, prob = 	10 }, --	Walther G-41W Rifle
	{ id = 24, prob = 	60 }, --	Mauser M98 Rifle (Polish)
	{ id = 25, prob = 	60 }, --	Mauser M29 Rifle (Polish)
	{ id = 38, prob = 	50 }, --	MP-40
	{ id = 39, prob = 	10 }, --	STG-43
	{ id = 40, prob = 	40 }, --	MP-28
	{ id = 41, prob = 	3 }, --	MG-34
	{ id = 42, prob = 	2 }, --	MG-42
	{ id = 47, prob = 	10 }, --	ZB 26/30
	{ id = 174, prob = 	50 }, --	Manlicher-Carcano M38 Rifle
	{ id = 161, prob = 	50 }, --	MP-40/2
	{ id = 162, prob = 	15 }, --	Suomi
	{ id = 159, prob = 	20 }, --	Beretta 38/42
	{ id = 160, prob = 	40 }, --	MP-38
	{ id = 158, prob = 	20 }, --	Beretta 1938
	{ id = 180, prob = 	5 }, --	Panzerschrek
	{ id = 190, prob = 	5 }, --	Panzerfaust
	{ id = 343, prob = 	30 }, --	MP-41
	{ id = 511, prob = 	20 }, --	Volksgewehr45
	{ id = 427, prob = 	60 }, --	Dynamite
	{ id = 433, prob = 	50 }, --	TNT
	{ id = 430, prob = 	40 }, --	Liddite
	{ id = 431, prob = 	30 }, --	Nitroglicerin
	{ id = 429, prob = 	20 }, --	Hecsogen
	{ id = 123, prob = 	20 }, --	M39
	{ id = 133, prob = 	20 }, --	M24
	{ id = 140, prob = 	20 }, --	M34
	{ id = 141, prob = 	50 }, --	SRCM mod.35
	{ id = 142, prob = 	50 }, --	Breda
	{ id = 143, prob = 	30 }, --	Z-23
	{ id = 144, prob = 	30 }, --	O-23
	{ id = 145, prob = 	30 }, --	OF37
	{ id = 358, prob = 	10 }, --	PWM 1
	{ id = 228, prob = 	5 },  --	TG-21
	{ id = 368, prob = 	70 }, --	SMIZ35_Mine
	{ id = 369, prob = 	50 }, --	Shumi_Mine
	{ id = 370, prob = 	30 }, --	Pmi43_Mine
	{ id = 8, prob = 	50 }, --	Mauser -96 1912
	--   
	{ id = 44, prob = 	5 },	-- 	RPD
	{ id = 43, prob = 	5 },	-- 	DP
	--   
	{ id = 19,  prob = 	8 },	-- 	AVS-36
	{ id = 174, prob = 	8 },	-- 	Manlicher-Carcano M38 Rifle
	{ id = 13,  prob = 	5 },	-- 	Mosin 1891/1930 Rifle
	{ id = 492, prob = 	5 },	-- 	SKS45
	{ id = 20,  prob = 	5 },	-- 	SVT - 40
	{ id = 382, prob = 	3 },	-- 	SeaDevil
	--   
	{ id = 494, prob = 	5 },	-- 	AK47
	{ id = 37,  prob = 	8 },	--  PPS43
	{ id = 495, prob = 	5 },	--  TKB408
	{ id = 26, prob = 	5 },	--  Thompson M1
	--   
	{ id = 1156103, prob = 	15 },	--  APS_(Stechkin)
	--      
    	{ id = 111, prob = 	7 },	-- 	RPD
	{ id = 110, prob = 	7 },	-- 	DP
	{ id = 109, prob = 	10 },   --	MG34 / MG42 Boxed Cartridge Belt
	--      
	{ id = 90,  prob = 	16 },	-- 	AVS-36   Clip
	{ id = 372, prob = 	16 },	-- 	Manlicher-Carcano M38 Rifle Clip
	{ id = 86,  prob = 	10 },	-- 	Mosin 1891/1930 Rifle Clip
	{ id = 505, prob = 	10 },	-- 	SKS45 Clip
	{ id = 91,  prob = 	10 },	-- 	SVT - 40  Clip
	{ id = 381, prob = 	10 },	-- 	SeaDevil
	--     
	{ id = 507, prob = 	10 },	-- 	AK47 Clip
	{ id = 104, prob = 	16 },	--  PPS43 Clip
	{ id = 508, prob = 	10 },	--  TKB408 Clip
	{ id = 97,  prob = 	7 },	--  Thompson M1 Clip
	{ id = 608, prob =  5 },	--  Thompson M1 Clip JHP
	--     
	{ id = 1156101, prob =  20 },	--  APS_(Stechkin) Clip
	--   
	{ id = 1166001, prob =  10 },	--    33
	 --   
	{ id = 76, prob = 	45 }, --	Parabellum 8-round Pistol Clip
	{ id = 77, prob = 	35 }, --	Sauer 38X 8-round Pistol Clip
	{ id = 78, prob = 	45 }, --	Walther 8-round Pistol Clip
	{ id = 85, prob = 	35 }, --	Mauser 5-round Rifle Clip
	{ id = 93, prob = 	15 }, --	FG42 20-round Rifle Clip
	{ id = 105, prob = 	35 }, --	MP40 SMG 32-round Magazine
	{ id = 106, prob = 	20 }, --	STG43 SMG Magazine
	{ id = 109, prob = 	10 }, --	MG34/MG42 Boxed Cartridge Belt
	{ id = 115, prob = 	15 }, --	ZB26/30 Magazine
	{ id = 181, prob = 	20 }, --	Panzerschrek rocket
	{ id = 191, prob = 	20 }, --	Panzerfaust rocket
	{ id = 373, prob = 	35 }, --	Manlicher-Carcano M91/24 6-round Rifle Clip
	{ id = 372, prob = 	35 }, --	Manlicher-Carcano M38 6-round Rifle Clip
	{ id = 437, prob = 	20 }, --	Suomi SMG Cartridge Drum
	{ id = 441, prob = 	25 }, --	Beretta SMG Magazine
	{ id = 587, prob = 	8 },  --	Mauser 1912 10-round Clip JHP for Parabellum Cartridg
	{ id = 591, prob = 	10 }, --	Parabellum 8-round Pistol Clip JHP
	{ id = 592, prob = 	20 }, --	Sauer 38X 8-round Pistol Clip JHP
	{ id = 594, prob = 	12 }, --	Walther 8-round Pistol Clip JHP
	{ id = 596, prob = 	10 }, --	Beretta SMG Magazine JHP
	{ id = 598, prob = 	10 }, --	MP40 SMG 32-round Magazine JHP
	{ id = 603, prob = 	10 }, --	STG43 SMG Magazine JHP
	{ id = 604, prob = 	10 }, --	Suomi SMG Cartridge Drum JHP
	{ id = 82, prob = 	35 }, --	Mauser 1912 10-round Clip for Parabellum Cartridg
	{ id = 624, prob = 	5 },	-- 	Armor#1
	{ id = 244, prob = 	20 },	--	Ger_Machete_Knife
	{ id = 242, prob = 	20 },	--	Ger_Dagger_Knife
	{ id = 243, prob = 	20 },	--	Ger_Luftwaffe_Machete_Knife
	{ id = 236, prob = 	20 },	--	Ger_Kappmesser_Knife
	{ id = 234, prob = 	20 },	--	Finnish_Knife
	{ id = 237, prob = 	20 },	--	Ger_SSA_Dagger_Knife
	{ id = 235, prob = 	20 },	--	Ger_Pukke
	{ id = 230, prob = 	20 },	--	Ger_ThrowingKnife
	{ id = 231, prob = 	5 },	--	Ger_Shuriken
	--   
	{ id = 538, prob =	5 },	--   
	{ id = 407, prob =	10 },	--  Scalpel
	{ id = 501, prob =	5 },    --  Cossack_Blade
}


medicalStuff = 
{
	{ id = 400, prob = 40 },	-- (buffvp1) Liquid Cardiac Stimulant 
	{ id = 409, prob = 10 },	-- (buffvp2) Morphine Injection 
	{ id = 402, prob = 5 }, 	-- (buffvp3) Cardiac And Respiratory Stimulant 

	{ id = 406, prob = 40 },	-- (heal crit&vp1) Adhesive Surgical Plaster
	{ id = 396, prob = 20 },	-- (heal crit&vp2) Compressed Gauze Bandage
	{ id = 401, prob = 10 },	-- (heal crit&vp3) First Aid Kit

	{ id = 405, prob = 30 },	-- (heal critonly1) Haemostatic Forceps
	{ id = 399, prob = 20 },	-- (heal critonly2) Forceps, Abbey
	{ id = 397, prob = 5  },	-- (heal critonly3) Bullet Extractor

	{ id = 413, prob = 40 },	-- (stopbleeding1) Haemostatic Powder
	{ id = 410, prob = 20 },	-- (stopbleeding2) Fast Haemostatic Powder
	{ id = 414, prob = 10 },	-- (stopbleeding3) Haemostatic Liquid

	{ id = 398, prob = 50 },	-- (tempcritremove1) Acetophenetidin Analgesic Tablet
	{ id = 411, prob = 20 },	-- (tempcritremove2) Morphine Sulfate Analgesic Pill
	{ id = 412, prob = 5 },		-- (tempcritremove3) Chloroform Powerful Analgesic

	{ id = 408, prob = 5 },	-- (buffap) squirt 
}

medical_sellerStuff = 
{
	{ id = 400, prob = 40 },	-- (buffvp1) Liquid Cardiac Stimulant 
	{ id = 409, prob = 10 },	-- (buffvp2) Morphine Injection 
	{ id = 402, prob = 5 }, 	-- (buffvp3) Cardiac And Respiratory Stimulant 

	{ id = 406, prob = 40 },	-- (heal crit&vp1) Adhesive Surgical Plaster
	{ id = 396, prob = 20 },	-- (heal crit&vp2) Compressed Gauze Bandage
	{ id = 401, prob = 10 },	-- (heal crit&vp3) First Aid Kit

	{ id = 405, prob = 30 },	-- (heal critonly1) Haemostatic Forceps
	{ id = 399, prob = 20 },	-- (heal critonly2) Forceps, Abbey
	{ id = 397, prob = 5  },	-- (heal critonly3) Bullet Extractor

	{ id = 413, prob = 40 },	-- (stopbleeding1) Haemostatic Powder
	{ id = 410, prob = 20 },	-- (stopbleeding2) Fast Haemostatic Powder
	{ id = 414, prob = 10 },	-- (stopbleeding3) Haemostatic Liquid

	{ id = 398, prob = 50 },	-- (tempcritremove1) Acetophenetidin Analgesic Tablet
	{ id = 411, prob = 20 },	-- (tempcritremove2) Morphine Sulfate Analgesic Pill
	{ id = 412, prob = 5 },		-- (tempcritremove3) Chloroform Powerful Analgesic
	{ id = 408, prob = 5 },	-- (buffap) squirt 
       { id = 1, prob = 	30 },	-- 	Colt M1911 
	{ id = 2, prob = 	40 },	-- 	Luger (British)
	{ id = 11, prob = 	70 },	-- 	Nagant Revolver
	{ id = 15, prob = 	50 },	-- 	Lee-Enfield N4 Mk1
	{ id = 16, prob = 	10 },	-- 	M1 Carbine 1936 
	{ id = 23, prob = 	40 },	-- 	MAS 36 Rifle
	{ id = 29, prob = 	40 },	-- 	Sten MkII
	{ id = 30, prob = 	30 },	-- 	Sten MkIV
	{ id = 31, prob = 	20 },	-- 	Sten MkV
	{ id = 32, prob = 	30 },	-- 	Sten MkIII
	{ id = 45, prob = 	10 },	-- 	Bren Mk1
	{ id = 57, prob = 	10 },	-- 	Browning 1922
	{ id = 48, prob = 	15 },	-- 	Chatellerault 1924/1929
	{ id = 49, prob = 	10 },	-- 	Garand M1 Rifle
	{ id = 183, prob = 	5 },	-- 	PIAT
	{ id = 182, prob = 	5 },	-- 	Bazooka
	{ id = 350, prob = 	10 },	-- 	DeLizl Carbine
	{ id = 349, prob = 	10 },	-- 	Welrod_Mk1
	{ id = 489, prob = 	30 },	-- 	LewisMkI
	{ id = 493, prob = 	5 },	-- 	M1941_JohnsonRifle
    --  { id = 499, prob = 	3 },	-- 	M1941_JohnsonLightGun (
	{ id = 499, prob = 	5 },	-- 	M1941_JohnsonLightGun (
	{ id = 490, prob = 	15 },	-- 	BrowningHP
	{ id = 491, prob = 	30 },	-- 	Colt_38_Special
	{ id = 500, prob = 	10 },	-- 	M20_Bazooka
	{ id = 496, prob = 	10 },	-- 	Sterling_Patchett
	{ id = 497, prob = 	10 },	-- 	Sterling_Patchett_Para
	{ id = 572, prob = 	40 },	-- 	Springfield M1917
	{ id = 427, prob = 	70 },	-- 	Dynamite
	{ id = 433, prob = 	50 },	-- 	TNT
	{ id = 430, prob = 	40 },	-- 	Liddite
	{ id = 431, prob = 	30 },	-- 	Nitroglicerin
	{ id = 429, prob = 	20 },	-- 	Hecsogen
	{ id = 122, prob = 	60 },	-- 	Mk3A1
	{ id = 146, prob = 	40 },	-- 	36M Mk1
	{ id = 149, prob = 	20 },	-- 	F1
	{ id = 366, prob = 	50 },	-- 	6_Mark1_Mine
	--   
	{ id = 44, prob = 	5 },	-- 	RPD
	{ id = 43, prob = 	5 },	-- 	DP
	{ id = 41, prob = 	5 },	-- 	MG34
	{ id = 42, prob = 	5 },	-- 	MG42
	--   
	{ id = 19,  prob = 	8 },	-- 	AVS-36
	{ id = 174, prob = 	8 },	-- 	Manlicher-Carcano M38 Rifle
	{ id = 13,  prob = 	5 },	-- 	Mosin 1891/1930 Rifle
	{ id = 492, prob = 	5 },	-- 	SKS45
	{ id = 20,  prob = 	5 },	-- 	SVT - 40
	{ id = 381, prob = 	3 },	-- 	SeaDevil
	--   
	{ id = 494, prob = 	5 },	-- 	AK47
	{ id = 37,  prob = 	8 },	--  PPS43
	{ id = 495, prob = 	5 },	--  TKB408
	{ id = 26, prob = 	5 },	--  Thompson M1
	--   
	{ id = 1156103, prob = 	15 },	--  APS_(Stechkin)
	--      
        { id = 111, prob = 	7 },	-- 	RPD
	{ id = 110, prob = 	7 },	-- 	DP
        { id = 109, prob = 	10 },   --	MG34 / MG42 Boxed Cartridge Belt
        --      
        { id = 90,  prob = 	16 },	-- 	AVS-36   Clip
	{ id = 372, prob = 	16 },	-- 	Manlicher-Carcano M38 Rifle Clip
	{ id = 86,  prob = 	10 },	-- 	Mosin 1891/1930 Rifle Clip
	{ id = 505, prob = 	10 },	-- 	SKS45 Clip
	{ id = 91,  prob = 	10 },	-- 	SVT - 40  Clip
	{ id = 381, prob = 	10 },	-- 	SeaDevil
		--     
	{ id = 507, prob = 	10 },	-- 	AK47 Clip
	{ id = 104, prob = 	16 },	--  PPS43 Clip
	{ id = 508, prob = 	10 },	--  TKB408 Clip
	{ id = 97,  prob = 	7 },	--  Thompson M1 Clip
	{ id = 608, prob =  5 },	--  Thompson M1 Clip JHP
	--     
	{ id = 1156101, prob =  20 },	--  APS_(Stechkin) Clip
        --   
	{ id = 1166001, prob =  10 },	--    33
        --   
        { id = 74, prob = 	35 },	-- 	Colt M1911 8-round Pistol Clip
	{ id = 84, prob = 	70 },	-- 	Nagant shells #21
	{ id = 87, prob = 	40 },	-- 	Lee-Enfield N4 Mk 1 10-round Rifle Clip
	{ id = 89, prob = 	35 },	-- 	Springfield M1917 5-round Rifle Clip
	{ id = 94, prob = 	45 },	-- 	MAS 36 5-round Rifle Clip
	{ id = 102, prob = 	30 },	-- 	Sten SMG 32-round Magazine
	{ id = 112, prob = 	15 },	-- 	Bren Machine-Gun Magazine
	{ id = 113, prob = 	15 },	-- 	Browning M1922 Magazine
	{ id = 116, prob = 	20 },	-- 	Chatellerault Machine-Gun Magazine
	{ id = 117, prob = 	20 },	-- 	Garand 1 8-round Rifle Clip
	{ id = 185, prob = 	20 },	-- 	PIAT rocket
	{ id = 184, prob = 	20 },	-- 	BazookaShell
	{ id = 488, prob = 	20 },	-- 	Lewis_MkI_Clip
	{ id = 506, prob = 	10 },	-- 	M1941_JohnsonRifleClip
	{ id = 502, prob = 	5 },	-- 	M1941_JohnsonLightGunClip
	{ id = 503, prob = 	20 },	-- 	BrowningHPClip
	{ id = 504, prob = 	35 },	-- 	Colt_38_SpecialClip
	{ id = 510, prob = 	20 },	-- 	M20 BazookaShell
	{ id = 509, prob = 	20 },	-- 	Sterling_PatchettClip
	{ id = 583, prob = 	10 },	-- 	BrowningHPClip JHP
	{ id = 584, prob = 	10 },	-- 	Colt M1911 8-round Pistol Clip JHP
	{ id = 585, prob = 	10 },	-- 	Colt_38_SpecialClip JHP
	{ id = 590, prob = 	30 },	-- 	Nagant shells JHP #21
	{ id = 586, prob = 	10 },	-- 	Luger P08 8-round Pistol Clip JHP
	{ id = 601, prob = 	5 },	-- 	Sten SMG 32-round Magazine JHP
	{ id = 602, prob = 	5 },	-- 	Sterling_PatchettClip JHP
	{ id = 75,  prob = 	45 },	-- 	Luger P08 8-round Pistol Clip
	{ id = 624, prob = 	10 },	-- 	Armor#1
	{ id = 625, prob = 	5 },	-- 	Armor#2
	{ id = 626, prob = 	5 },	-- 	Armor#3
	{ id = 249, prob =	20 },	--	UK_Khukuri_Knife
	{ id = 240, prob =	20 },	--	UK_Ka_bar_Knife
	{ id = 241, prob =	20 },	--	UK_M3_Knife
	{ id = 239, prob =	20 },	--	UK_Fairbairn_Sykes_Knife
	{ id = 250, prob =	20 },	--	UK_M_1917_Knife
	{ id = 248, prob =	20 },	--	UK_Gladius_Knife
	{ id = 246, prob =	20 },	--	UK_BillyClub
	{ id = 233, prob =	20 },	--	UK_ThrowingKnife
	{ id = 232, prob =	20 },	--	UK_Chakra
	{ id = 245, prob =	5 },	--	Katana_Knife
	{ id = 247, prob =	20 },	--	UK_BlackJack
	--   
	{ id = 538, prob =	5 },	--   
	{ id = 407, prob =	10 },	--  Scalpel
	{ id = 501, prob =	5 },    --  Cossack_Blade

}

sellerStuff = 
{
	{ id = 1, prob = 	30 },	-- 	Colt M1911 
	{ id = 2, prob = 	40 },	-- 	Luger (British)
	{ id = 11, prob = 	70 },	-- 	Nagant Revolver
	{ id = 15, prob = 	50 },	-- 	Lee-Enfield N4 Mk1
	{ id = 16, prob = 	10 },	-- 	M1 Carbine 1936 
	{ id = 23, prob = 	40 },	-- 	MAS 36 Rifle
	{ id = 29, prob = 	40 },	-- 	Sten MkII
	{ id = 30, prob = 	30 },	-- 	Sten MkIV
	{ id = 31, prob = 	20 },	-- 	Sten MkV
	{ id = 32, prob = 	30 },	-- 	Sten MkIII
	{ id = 45, prob = 	10 },	-- 	Bren Mk1
	{ id = 57, prob = 	10 },	-- 	Browning 1922
	{ id = 48, prob = 	15 },	-- 	Chatellerault 1924/1929
	{ id = 49, prob = 	10 },	-- 	Garand M1 Rifle
	{ id = 183, prob = 	5 },	-- 	PIAT
	{ id = 182, prob = 	5 },	-- 	Bazooka
	{ id = 350, prob = 	10 },	-- 	DeLizl Carbine
	{ id = 349, prob = 	10 },	-- 	Welrod_Mk1
	{ id = 489, prob = 	30 },	-- 	LewisMkI
	{ id = 493, prob = 	5 },	-- 	M1941_JohnsonRifle
    --  { id = 499, prob = 	3 },	-- 	M1941_JohnsonLightGun (
	{ id = 499, prob = 	5 },	-- 	M1941_JohnsonLightGun (
	{ id = 490, prob = 	15 },	-- 	BrowningHP
	{ id = 491, prob = 	30 },	-- 	Colt_38_Special
	{ id = 500, prob = 	10 },	-- 	M20_Bazooka
	{ id = 496, prob = 	10 },	-- 	Sterling_Patchett
	{ id = 497, prob = 	10 },	-- 	Sterling_Patchett_Para
	{ id = 572, prob = 	40 },	-- 	Springfield M1917
	{ id = 427, prob = 	70 },	-- 	Dynamite
	{ id = 433, prob = 	50 },	-- 	TNT
	{ id = 430, prob = 	40 },	-- 	Liddite
	{ id = 431, prob = 	30 },	-- 	Nitroglicerin
	{ id = 429, prob = 	20 },	-- 	Hecsogen
	{ id = 122, prob = 	60 },	-- 	Mk3A1
	{ id = 146, prob = 	40 },	-- 	36M Mk1
	{ id = 149, prob = 	20 },	-- 	F1
	{ id = 366, prob = 	50 },	-- 	6_Mark1_Mine
	--   
	{ id = 44, prob = 	5 },	-- 	RPD
	{ id = 43, prob = 	5 },	-- 	DP
	{ id = 41, prob = 	5 },	-- 	MG34
	{ id = 42, prob = 	5 },	-- 	MG42
	--   
	{ id = 19,  prob = 	8 },	-- 	AVS-36
	{ id = 174, prob = 	8 },	-- 	Manlicher-Carcano M38 Rifle
	{ id = 13,  prob = 	5 },	-- 	Mosin 1891/1930 Rifle
	{ id = 492, prob = 	5 },	-- 	SKS45
	{ id = 20,  prob = 	5 },	-- 	SVT - 40
	{ id = 382, prob = 	3 },	-- 	SeaDevil
	--   
	{ id = 494, prob = 	5 },	-- 	AK47
	{ id = 37,  prob = 	8 },	--  PPS43
	{ id = 495, prob = 	5 },	--  TKB408
	{ id = 26, prob = 	5 },	--  Thompson M1
	--   
	{ id = 1156103, prob = 	15 },	--  APS_(Stechkin)
	--      
        { id = 111, prob = 	7 },	-- 	RPD
	{ id = 110, prob = 	7 },	-- 	DP
        { id = 109, prob = 	10 },   --	MG34 / MG42 Boxed Cartridge Belt
        --      
        { id = 90,  prob = 	16 },	-- 	AVS-36   Clip
	{ id = 372, prob = 	16 },	-- 	Manlicher-Carcano M38 Rifle Clip
	{ id = 86,  prob = 	10 },	-- 	Mosin 1891/1930 Rifle Clip
	{ id = 505, prob = 	10 },	-- 	SKS45 Clip
	{ id = 91,  prob = 	10 },	-- 	SVT - 40  Clip
	{ id = 381, prob = 	10 },	-- 	SeaDevil
		--     
	{ id = 507, prob = 	10 },	-- 	AK47 Clip
	{ id = 104, prob = 	16 },	--  PPS43 Clip
	{ id = 508, prob = 	10 },	--  TKB408 Clip
	{ id = 97,  prob = 	7 },	--  Thompson M1 Clip
	{ id = 608, prob =  5 },	--  Thompson M1 Clip JHP
	--     
	{ id = 1156101, prob =  20 },	--  APS_(Stechkin) Clip
        --   
	{ id = 1166001, prob =  10 },	--    33
        --   
        { id = 74, prob = 	35 },	-- 	Colt M1911 8-round Pistol Clip
	{ id = 84, prob = 	70 },	-- 	Nagant shells #21
	{ id = 87, prob = 	40 },	-- 	Lee-Enfield N4 Mk 1 10-round Rifle Clip
	{ id = 89, prob = 	35 },	-- 	Springfield M1917 5-round Rifle Clip
	{ id = 94, prob = 	45 },	-- 	MAS 36 5-round Rifle Clip
	{ id = 102, prob = 	30 },	-- 	Sten SMG 32-round Magazine
	{ id = 112, prob = 	15 },	-- 	Bren Machine-Gun Magazine
	{ id = 113, prob = 	15 },	-- 	Browning M1922 Magazine
	{ id = 116, prob = 	20 },	-- 	Chatellerault Machine-Gun Magazine
	{ id = 117, prob = 	20 },	-- 	Garand 1 8-round Rifle Clip
	{ id = 185, prob = 	20 },	-- 	PIAT rocket
	{ id = 184, prob = 	20 },	-- 	BazookaShell
	{ id = 488, prob = 	20 },	-- 	Lewis_MkI_Clip
	{ id = 506, prob = 	10 },	-- 	M1941_JohnsonRifleClip
	{ id = 502, prob = 	5 },	-- 	M1941_JohnsonLightGunClip
	{ id = 503, prob = 	20 },	-- 	BrowningHPClip
	{ id = 504, prob = 	35 },	-- 	Colt_38_SpecialClip
	{ id = 510, prob = 	20 },	-- 	M20 BazookaShell
	{ id = 509, prob = 	20 },	-- 	Sterling_PatchettClip
	{ id = 583, prob = 	10 },	-- 	BrowningHPClip JHP
	{ id = 584, prob = 	10 },	-- 	Colt M1911 8-round Pistol Clip JHP
	{ id = 585, prob = 	10 },	-- 	Colt_38_SpecialClip JHP
	{ id = 590, prob = 	30 },	-- 	Nagant shells JHP #21
	{ id = 586, prob = 	10 },	-- 	Luger P08 8-round Pistol Clip JHP
	{ id = 601, prob = 	5 },	-- 	Sten SMG 32-round Magazine JHP
	{ id = 602, prob = 	5 },	-- 	Sterling_PatchettClip JHP
	{ id = 75,  prob = 	45 },	-- 	Luger P08 8-round Pistol Clip
	{ id = 624, prob = 	10 },	-- 	Armor#1
	{ id = 625, prob = 	5 },	-- 	Armor#2
	{ id = 626, prob = 	5 },	-- 	Armor#3
	{ id = 249, prob =	20 },	--	UK_Khukuri_Knife
	{ id = 240, prob =	20 },	--	UK_Ka_bar_Knife
	{ id = 241, prob =	20 },	--	UK_M3_Knife
	{ id = 239, prob =	20 },	--	UK_Fairbairn_Sykes_Knife
	{ id = 250, prob =	20 },	--	UK_M_1917_Knife
	{ id = 248, prob =	20 },	--	UK_Gladius_Knife
	{ id = 246, prob =	20 },	--	UK_BillyClub
	{ id = 233, prob =	20 },	--	UK_ThrowingKnife
	{ id = 232, prob =	20 },	--	UK_Chakra
	{ id = 245, prob =	5 },	--	Katana_Knife
	{ id = 247, prob =	20 },	--	UK_BlackJack
	--   
	{ id = 538, prob =	5 },	--   
	{ id = 407, prob =	10 },	--  Scalpel
	{ id = 501, prob =	5 },    --  Cossack_Blade
}

function OnOpenInventory() 

 	local cur_carma = int (GVCarma * 10)
 	--     10
 	--      
 	UnitSetStat(GetHero(),24,cur_carma)  
 	--    
 	--       
 	UnitSetStat(GetHero(),23,MAX_CARMA * 10)  

end

-------------------------------------------------------------------------
out( 'HSMSickle scripts were loaded' )



